package com.liangjian.dataplatform.member.entity.po.tertiary;


import com.liangjian.dataplatform.member.entity.po.BasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "ProductUsage")
@ApiModel("药品使用详情")
public class ProductUsage extends BasicEntity {

//    @Id
//    @ApiModelProperty("备注")
//    @Column(name = "ID")
//    private Integer id;

    @ApiModelProperty("备注")
    @Column(name = "ProductCode")
    private Integer productCode;

    @ApiModelProperty("备注")
    @Column(name = "ProductName")
    private String productName;

    @ApiModelProperty("备注")
    @Column(name = "Usage")
    private String usage;

    @ApiModelProperty("备注")
    @Column(name = "UsageMethod")
    private String usageMethod;

    @ApiModelProperty("备注")
    @Column(name = "UsageFrequencyUnit")
    private String usageFrequencyUnit;

    @ApiModelProperty("备注")
    @Column(name = "UsageFrequencyCount")
    private String usageFrequencyCount;

    @ApiModelProperty("备注")
    @Column(name = "UsageFrequencyStr")
    private String usageFrequencyStr;

    @ApiModelProperty("备注")
    @Column(name = "UsagePerUseCount")
    private String usagePerUseCount;

    @ApiModelProperty("备注")
    @Column(name = "usagePerUseUnit")
    private String UsagePerUseUnit;

    @ApiModelProperty("备注")
    @Column(name = "UsageDays")
    private String sageDays;

    @ApiModelProperty("备注")
    @Column(name = "AddTime")
    private Date addTime;

    @ApiModelProperty("备注")
    @Column(name = "AddUser")
    private String ddUser;

    @ApiModelProperty("备注")
    @Column(name = "updateTime")
    private Date UpdateTime;

    @ApiModelProperty("备注")
    @Column(name = "UpdateUser")
    private String updateUser;

    @ApiModelProperty("备注")
    @Column(name = "IsDelete")
    private Integer isDelete;


//    public Integer getId() {
//        return id;
//    }


//    public void setId(Integer id) {
//        this.id = id;
//    }

    public Integer getProductCode() {
        return productCode;
    }

    public void setProductCode(Integer productCode) {
        this.productCode = productCode;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getUsage() {
        return usage;
    }

    public void setUsage(String usage) {
        this.usage = usage;
    }

    public String getUsageMethod() {
        return usageMethod;
    }

    public void setUsageMethod(String usageMethod) {
        this.usageMethod = usageMethod;
    }

    public String getUsageFrequencyUnit() {
        return usageFrequencyUnit;
    }

    public void setUsageFrequencyUnit(String usageFrequencyUnit) {
        this.usageFrequencyUnit = usageFrequencyUnit;
    }

    public String getUsageFrequencyCount() {
        return usageFrequencyCount;
    }

    public void setUsageFrequencyCount(String usageFrequencyCount) {
        this.usageFrequencyCount = usageFrequencyCount;
    }

    public String getUsageFrequencyStr() {
        return usageFrequencyStr;
    }

    public void setUsageFrequencyStr(String usageFrequencyStr) {
        this.usageFrequencyStr = usageFrequencyStr;
    }

    public String getUsagePerUseCount() {
        return usagePerUseCount;
    }

    public void setUsagePerUseCount(String usagePerUseCount) {
        this.usagePerUseCount = usagePerUseCount;
    }

    public String getUsagePerUseUnit() {
        return UsagePerUseUnit;
    }

    public void setUsagePerUseUnit(String usagePerUseUnit) {
        UsagePerUseUnit = usagePerUseUnit;
    }

    public String getSageDays() {
        return sageDays;
    }

    public void setSageDays(String sageDays) {
        this.sageDays = sageDays;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getDdUser() {
        return ddUser;
    }

    public void setDdUser(String ddUser) {
        this.ddUser = ddUser;
    }

    public Date getUpdateTime() {
        return UpdateTime;
    }

    public void setUpdateTime(Date updateTime) {
        UpdateTime = updateTime;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
